Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etkra.protocol.v1
Class StartEtkRegistrationResponse

    java.lang.Object
      be.fgov.ehealth.etkra.protocol.v1.RaResponseType
          be.fgov.ehealth.etkra.protocol.v1.StartEtkRegistrationResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:06:56+02:00",
               comments="JAXB RI v2.2.11")
    public class StartEtkRegistrationResponse

extends RaResponseType
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:etkra:protocol:v1}RaResponseType">
           <sequence minOccurs="0">
             <element name="Challenge" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="Signature" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="Certificate" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`StartEtkRegistrationResponse()`

Method Summary
`byte[]` | `getCertificate()` Gets the value of the certificate property.
`byte[]` | `getChallenge()` Gets the value of the challenge property.
`byte[]` | `getSignature()` Gets the value of the signature property.
`void` | `setCertificate(byte[] value)` Sets the value of the certificate property.
`void` | `setChallenge(byte[] value)` Sets the value of the challenge property.
`void` | `setSignature(byte[] value)` Sets the value of the signature property.

Methods inherited from class be.fgov.ehealth.etkra.protocol.v1.RaResponseType
`getErrors, getId, getResponse, setId, setResponse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartEtkRegistrationResponse

    public StartEtkRegistrationResponse()

Method Detail

### getChallenge

    public byte[] getChallenge()

  Gets the value of the challenge property.

  Returns:
    possible object is byte[]

### setChallenge

    public void setChallenge(byte[] value)

  Sets the value of the challenge property.

  Parameters:
    `value` - allowed object is byte[]

### getSignature

    public byte[] getSignature()

  Gets the value of the signature property.

  Returns:
    possible object is byte[]

### setSignature

    public void setSignature(byte[] value)

  Sets the value of the signature property.

  Parameters:
    `value` - allowed object is byte[]

### getCertificate

    public byte[] getCertificate()

  Gets the value of the certificate property.

  Returns:
    possible object is byte[]

### setCertificate

    public void setCertificate(byte[] value)

  Sets the value of the certificate property.

  Parameters:
    `value` - allowed object is byte[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.